{
  "type": "minecraft:crafting_shaped",
  "key": {
    "#": {
      "tag": "c:wood_sticks"
    },
    "X": {
      "item": "minecraft:iron_ingot"
    },
    "N": {
      "item": "minecraft:iron_nugget"
    }
  },
  "pattern": [
    " NX",
    " #N",
    "#  "
  ],
  "result": {
    "item": "simplyswords:iron_spear"
  }
}